﻿<div class="container">
    <div class="card">
        <h3 class="card-title">Employee</h3>

        <button class="btn btn-default btn-success btn-sm" ng-click="CreateEmployeefunc()" data-toggle="modal" data-target="#myModal">Add  </button>
        <!--<!--for searchfield-->
       
        <table class="table table-striped" style="width:100%">

            <thead>
                <tr>
                    <th><input type="checkbox" ng-model="selectall" ng-change="selectcheckbox(selectall)"/></th>
                    <th>#</th>
                    <th>First Name</th>
                    <th>Last Name</th>
                    <th>Email</th>
                    <th>Skill Name</th>
                    <th>Other Skills</th>
                    <th>Address</th>
                    <th col width="150">Phone Number</th>
                    <th>Added Date</th>
                    <th>Status</th>
                    <th></th>
                    <th></th>
                    <th></th>
                </tr>
            </thead>
            <tbody ng-repeat="items in Employees">
                <tr>
                    <td><input ng-model="items.selected" type="checkbox" ng-change="checkuncheck($index,items.selected)"></td>
                    <td>{{$index+1}}</td>
                    <td>{{items.FirstName}}</td>
                    <td>{{items.LastName}}</td>
                    <td>{{items.Email}}</td>
                    <td>{{items.SkillName}}</td>
                    <td>{{items.OtherSkillName}}</td>
                    <td>{{items.Address}}</td>
                    <td>{{items.PhoneNumber}}</td>
                    <td>{{items.AddedDate}}</td>
                    <td>{{items.Status}}</td>
                    <td>
                        <button type="button" class="btn btn-success" ng-click="GetById(items.Id)" data-toggle="modal" data-target="#myModal1"><i class="fa fa-pencil"></i> </button>
                    </td>
                    <td>
                        <button type="button" class="btn btn-danger" ng-click="DeleteEmployee(items.Id)"><i class="fa fa-trash"></i></button>
                    </td>
                    <td>
                        <button type="button" class="btn btn-warning" ng-click="GetById(items.Id);GetFilteredSkill(items.SkillId,GetSkill,items.OtherSkillName)" data-toggle="modal" data-target="#myModal2"><i class="fa fa-plus">Skill</i></button>
                    </td>
                </tr>
            </tbody>
        </table>
        <!--pagination-->
        <button type="button" class="btn btn-danger" ng-model="items.selected" ng-click="DeleteChecked(items.selected)">Delete Selected</button>
    </div>
</div>

<!--  ADD Employee-->
<div class="modal fade" id="myModal" role="dialog">
    <div class="modal-dialog" >
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Add Employee</h4>
            </div>
            <div class="modal-body">
                <form name="addemp" ng-submit="AddEmployee(Employee)" novalidate>

                    <div class="form-group">
                        <label class="control-label">First Name:</label>
                        <input class="form-control" type="text" name="firstname" placeholder="FirstName" ng-model="Employee.FirstName" required>
                        <div class="alert-danger">
                        <span ng-show="addemp.firstname.$dirty && addemp.firstname.$error.required">Required:&nbsp; </span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label">Last Name:</label>
                        <input class="form-control" type="text" name="lastname" placeholder="LastName" ng-model="Employee.LastName" required>
                        <div class="alert-danger">
                        <span ng-show="addemp.lastname.$dirty && addemp.lastname.$error.required">Required:&nbsp; </span>
                         </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label">Email:</label>
                        <input class="form-control" type="email" name="email" placeholder="Email" ng-model="Employee.Email" required>
                        <div class="alert-danger">
                            <span ng-show="addemp.email.$dirty && addemp.email.$error.required">Required:&nbsp; </span>
                            <span ng-show="addemp.email.$dirty && addemp.email.$error.email">Please Enter Valid Email:&nbsp; </span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label">Skill Name:</label>
                        <select name='SkillName' id="SkillName" class="form-control" ng-model="Employee.Id">
                            <option value="{{data.Id}}" ng-repeat="data in GetSkill">{{data.SkillName}}</option>
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="control-label">Address:</label>
                        <input class="form-control" type="text" placeholder="Address" ng-model="Employee.Address">
                    </div>

                    <div class="form-group">
                        <label for="phone" class="control-label">Phone Number:&emsp;</label>
                        <input class="validity" id="phonenumber" type="tel" name="phone" placeholder="xxx-xxx-xxxx"
                            pattern="[0-9]{3}-[0-9]{3}-[0-9]{4}" ng-model="Employee.PhoneNumber" required/>
                        <div class="alert-danger">
                            <span ng-show="addemp.phone.$dirty && addemp.phone.$error.required">Required:&nbsp; </span>
                            <span ng-show="addemp.phone.$dirty && addemp.phone.$error.pattern">Please Enter Valid Phone Number :&nbsp; </span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label">Status:&emsp;</label>
                        <input type="checkbox" placeholder="status" ng-model="Employee.Status">
                    </div>
                    <div>
                        <button type="submit" class="btn btn-primary icon-btn"><i class="fa fa-fw fa-lg fa-check-circle"></i>Save</button>
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>





<div class="modal fade" id="myModal1" role="dialog">
    <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Edit Employee</h4>
            </div>
            <div class="modal-body">
                <form name="addempedit" ng-submit="UpdateEmployee(Employee)" novalidate>
                    <div class="form-group">
                        <label class="control-label">First Name:</label>
                        <input class="form-control" type="text" name="editfirstname" placeholder="FirstName" ng-model="Employee.FirstName" required>
                        <div class="alert-danger">
                            <span ng-show="addempedit.editfirstname.$dirty && addempedit.editfirstname.$error.required">Required:&nbsp; </span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label">Last Name:</label>
                        <input class="form-control" type="text" name="editlastname" placeholder="LastName" ng-model="Employee.LastName" required>
                        <div class="alert-danger">
                            <span ng-show="addempedit.editlastname.$dirty && addempedit.editlastname.$error.required">Required:&nbsp; </span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label">Email:</label>
                        <input class="form-control" type="email" name="editemail" placeholder="Email" ng-model="Employee.Email" required>
                        <div class="alert-danger">
                            <span ng-show="addempedit.editemail.$dirty && addempedit.editemail.$error.required">Required:&nbsp; </span>
                            <span ng-show="addempedit.editemail.$dirty && addempedit.editemail.$error.email">Please Enter Valid Email:&nbsp; </span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label">Address:</label>
                        <input class="form-control" type="text" placeholder="Address" ng-model="Employee.Address">
                    </div>

                    <div class="form-group">
                        <label for="phone" class="control-label">Phone Number:&emsp;</label>
                        <input class="validity" id="editphonenumber" type="tel" name="phone" placeholder="xxx-xxx-xxxx"
                               pattern="[0-9]{3}-[0-9]{3}-[0-9]{4}" ng-model="Employee.PhoneNumber" required />
                        <div class="alert-danger">
                            <span ng-show="addempedit.phone.$dirty && addempedit.phone.$error.required">Required:&nbsp; </span>
                            <span ng-show="addempedit.phone.$dirty && addempedit.phone.$error.pattern">Please Enter Valid Phone Number :&nbsp; </span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label">Status:&emsp;</label>
                        <input type="checkbox" placeholder="status" ng-model="Employee.Status">
                    </div>
                    <div>
                        <button type="submit" class="btn btn-primary icon-btn"><i class="fa fa-fw fa-lg fa-check-circle"></i>Save</button>
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<script>
    $('#phonenumber').keyup(function () {
        $(this).val($(this).val().replace(/(\d{3})\-?(\d{3})\-?(\d{4})/, '$1-$2-$3'))
    });
</script>
<script>
    $('#editphonenumber').keyup(function () {
        $(this).val($(this).val().replace(/(\d{3})\-?(\d{3})\-?(\d{4})/, '$1-$2-$3'))
    });
</script>


<div class="modal fade" id="myModal2" role="dialog">
    <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Skills</h4>
            
                <button class="btn btn-success btn-sm" ng-model="items.selectedSkill" ng-click="CheckedSkillstring(items.selectedSkill,Employee)" data-dismiss="modal">Add Selected </button>
               <div class="pull-right">
                  </div>
            </div>
            <div class="modal-body">
                <table class="table table-striped" style="width:100%">
                    <thead>
                        <tr>
                            <th><input type="checkbox" ng-model="skillselectall" ng-change="skillselectcheckbox(skillselectall)" /></th>
                            <th>#</th>
                            <th>Skill Name</th>
                        </tr>
                    </thead>
                    <tbody ng-repeat="items in GetFilterSkill">
                        <tr>
                            <td><input ng-model="items.selectedskill" type="checkbox" ng-change="skillcheckuncheck($index,items.selectedskill)"></td>
                            <td>{{$index+1}}</td>
                            <td>{{items.SkillName}}</td>
                        </tr>
                    </tbody>
                </table>
            </div>

        </div>
    </div>
</div>


